jQuery(document).ready(function($){
	$('.delete').click(function(){
        var id=$(this).parent().parent().children().children().attr('value');
        var img1= document.getElementById('imagen_cabecera'+id).value; 
        var img2=document.getElementById('imagen_interna'+id).value;
        var img3=document.getElementById('imagen_redes'+id).value;

        if(id !="" && img1!="" && img2!="" &&  img3!=""){
	        $('#div_tabla').load(
	          'noticiasEli.php',
	          {
	            id:id,
	            img1:img1,
	            img2:img2,
	            img3:img3
	          }
	        )
    	}else{
    		alert("Por favor intente denuevo.");
    	}
    }) 

    $('.deletecasoexito').click(function(){
        var id=$(this).parent().parent().children().children().attr('value');
        var img1= document.getElementById('imagen'+id).value; 	
        if(id !=""){
        	if(img1 != ""){
		        $('#div_tablacasoexito').load(
		          'casosexitoEli.php',
		          {
		            id:id,
		            img1:img1
		          }
		        )
	    	}else if(img1 == ""){
	    		 $('#div_tablacasoexito').load(
		          'casosexitoEli.php',
		          {
		            id:id
		          }
		        )
	    	}
    	}else{
    		alert("Por favor intente denuevo asas.");
    	}
    }) 


    $('.deletebanner').click(function(){
        var id=$(this).parent().parent().children().children().attr('value');
        var img1= document.getElementById('imagen_escritorio'+id).value; 
        var img2= document.getElementById('imagen_mobile'+id).value; 
        if(id !=""){
	        $('#div_tablabanner').load(
	          'bannerEli.php',
	          {
	            id:id,
	            img1:img1,
	            img2:img2
	          }
	        )
    	}else{
    		alert("Por favor intente denuevo.");
    	}
    }) 

    $('.editar').click(function(){
    	var id=$(this).parent().parent().children().children().attr('value');
		var parent = $(this).parent().attr('id');
		var service = $(this).parent().attr('data');			
		var dataString = 'id='+service;		
		$.ajax({
            type: "POST",
            url: "includes/delete.php",
            data: dataString,
            success: function() {			
				$('#delete-ok').empty();
				$('#delete-ok').append('<div class="correcto">Se ha eliminado correctamente el servicio con id='+service+'.</div>').fadeIn("slow");
				$('#'+parent).fadeOut("slow");
            }
        });
    });


	 $('#tipo_exito_video').hide();
	 $("#combo_tipo_exito").change(function(){
	    	if (document.formulario.combo_tipo_exito.value == "1") {
				$('#tipo_exito_video').hide();
				$('#tipo_exito_imagen').show();
			}else if(document.formulario.combo_tipo_exito.value == "2"){
				$('#tipo_exito_imagen').hide();
				$('#tipo_exito_video').show();
			}	
	});

	$("#combo_tipo_exito").change(function () {
    	$("#imagen").val("");
    	$("#video").val("");
	});

	
	$("#modificar_exito_imagen").change(function(){	
		if (document.formulario.modificar_exito_imagen.value != "imagen") {
			document.formulario.imagen.disabled = true;
		}else{
			if (document.formulario.modificar_exito_imagen.value == "imagen") {
				document.formulario.imagen.disabled = false;
			}
		}
	})

	
	$('#login_userbtn').click(function(){
		if ( $('#username').val() != "" && $('#password').val() != "" ){			
			$.ajax({
				type: 'POST',
				url: 'login_bd.php',
				data: 'login_username=' + $('#username').val() + '&login_userpass=' + $('#password').val(),
				success:function(msj){
					if ( msj == 1 ){						
						$('#alertBoxes').html('<div class="box-success"></div>');
						$('.box-success').show().html('Espera un momento&#133;');
						window.location = "noticias.php";
					}else if( msj == 3 ){
						window.location = "noticias.php";
					}else if( msj == 7){
						$('#alertBoxes').html('<div class="box-error"></div>');
						$('.box-error').show().html('Lo sentimos, los datos estan íncompletos o son incorrectos' );
					}
					else{
						$('#alertBoxes').html('<div class="box-error"></div>');
						$('.box-error').show().html('Lo sentimos, pero los datos son incorrectos' );
					}
				},
				error:function(){
					$('#timer').fadeOut(300);
					$('#alertBoxes').html('<div class="box-error"></div>');
					$('.box-error').show().html('Ha ocurrido un error durante la ejecución');
				}
			});
		}
		else{

			$('#alertBoxes').html('<div class="box-error"></div>');
			$('.box-error').show().html('Los campos estan vacíos');
		}
});	


})	


function bannereditar(input_ckeditor,cuerpo){
	 if (input_ckeditor != 0 && $('#link').val()!="") {
		var fd = new FormData();
	    var c=0;
	    var file_data;
	    $('input[type="file"]').each(function(){
	        file_data = $('input[type="file"]')[c].files; // for multiple files
		     for(var i = 0;i<file_data.length;i++){
		         fd.append("file_"+c, file_data[i]);
		     }
		    c++;
	 	}); 
	     var other_data = $('form').serializeArray();
	     $.each(other_data,function(key,input){
	         fd.append(input.name,input.value);
	     });

	     var c1="cuerpo_interno";
	     var c2=cuerpo;

	     fd.append(c1,c2);

	     $.ajax({
	         url: 'banneredi_grabar.php',
	         data: fd,
	        contentType: false,
	         processData: false,
	         type: 'POST',
	         success: function(data){
	         	if(data==1){
	         		window.location.href="banner.php";
	         	}else if(data==2){
	         		alert("Datos ímcompletos");
	         	}else if(data==3){
	         		alert("error imagen");
	         	}
	         }
	     });
	}	
}


function validate_ckeditor(obj)
{
	var mensaje=1;
	$(".errDiv").remove();
	if(validateCKEDITORforBlank($.trim(CKEDITOR.instances.cuerpo_interno.getData().replace(/<[^>]*>|\s/g, '')))){
		$("#cuerpo_interno").parent().append("<div class='errDiv' id='errDiv' style='color:red;'>Ingresa la descripción</div>");
		CKEDITOR.instances.cuerpo_interno.setData("");

		mensaje=0;
	}
	return mensaje;
}
 
function validateCKEDITORforBlank(field)
{
	var vArray = new Array();
	vArray = field.split("&nbsp;");
	var vFlag = 0;
	for(var i=0;i<vArray.length;i++)
	{
		if(vArray[i] == '' || vArray[i] == "")
		{
		continue;
		}
		else
		{
		vFlag = 1;
		break;
		}
	}
	if(vFlag == 0)
	{
	return true;
	}
	else
	{
	return false;
	}
}


function edi(id){
 var noticiaseditar = $('#noticiaseditar');
    $('#noticiaseditar_id').val(id);
    noticiaseditar.submit();
}

function ver(id){
     var noticiasver = $('#noticiasver');
    $('#noticiasver_id').val(id);
    noticiasver.submit();
}

function edi_casoexito(id,tipo){
 var casosexitoEdi = $('#casosexitoEdi');
    $('#casosexitoeditar_id').val(id);
    $('#casosexitoeditar_tipo').val(tipo);
    casosexitoEdi.submit();
}

function ver_casoexito(id,tipo){
 var casosexitoVer = $('#casosexitoVer');
    $('#casosexitover_id').val(id);
    $('#casosexitoever_tipo').val(tipo);
    casosexitoVer.submit();
}

function edi_banner(id,tipo){
 var bannerEdi = $('#bannerEdi');
    $('#bannereditar_id').val(id);
    bannerEdi.submit();
}

function ver_banner(id,tipo){
 var bannerver = $('#bannerVer');
    $('#bannerver_id').val(id);
    bannerver.submit();
}

